YPPUSH(8)

NAME
yppush - force propagation of changed NIS databases

SYNOPSIS
/usr/sbin/yppush [ -d domain ] [ -t timeout ] [ --parallel # | --port port ] [ -h host ] [ -v ] mapname ...

DESCRIPTION

yppush copies updated NIS databases (or maps) from the master NIS server to the slave servers within a NIS domain. It is normally run only on the NIS master by /var/yp/Makefile after the master databases are changed. /var/yp/Makefile does not invoke yppush by default, the NOPUSH=true line must be commented out.
yppush first constructs a list of NIS slave servers by reading the NIS map ypservers within the domain. A destination host (or a list of hosts with multiple -h commands) can also be specified on the command line. A "transfer map" request is sent to the NIS serger at each slave, along with the information needed by the transfer agent ypxfr(8) to callback to yppush, which may be printed the result to stderr. Messages are also printed when a transfer is not possible; for instance when the request message is undeliverable.

OPTIONS

-d domain
    Specify a particular domain. The NIS domain of the local host system is used by default. If the local host's domain name is not set, the domain name must be specified with this flag.

-t timeout
    The timeout flag is used to specify a timeout value in seconds. This timeout controls how long yppush will wait for a response from a slave server before sending a map transfer request to the next slave server in the list. By default, yppush will wait 90 seconds. For big maps, this is not long enough.

--parallel #, -p #
    yppush normally performs transfers serially, meaning that it will send a map transfer request to one slave server and then wait for it to respond before sending the next map transfer request to the next slave server. In environments with many slaves, it is more efficient to initiate several map transfers at once so that the transfers can take place in parallel. It is not possible to run in parallel and assign a fixed port with the --port flag

--port port
    specify a port for yppush to listen on. By default, yppush will ask portmap(8) to assign it a random port number. It is not possible to assign a port with this option and run in parallel with the --parallel or -p flag

-h host
    The host flag can be used to transfer a map to a user-specified machine or group of machines instead of the list of servers contained in the ypservers map. A list of hosts can be specified by using multiple instances of the -h flag.

-v  Verbose mode: causes yppush to print debugging messages as it runs. Note specifying this flag twice makes yppush even more verbose.

SEE ALSO
domainname(1), ypserv(8), ypxfr(8)

BUGS
The mechanism for transferring NIS maps in NIS v1 is different that that in NIS version 2. This version of yppush has support for transferring maps to NIS v2 systems only.

AUTHOR
Thorsten Kukuk <kukuk@suse.de>